<!DOCTYPE html>
<html lang="en"
    xmlns:th="http://www.thymeleaf.org"
>
<head>
    <meta charset="UTF-8">
    <title>TRANSACTIS BLOG</title>
    <link crossorigin="anonymous"
          href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
          rel="stylesheet">
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark" th:fragment="navbar">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">Spring Boot Thymeleaf Blog App</a>
        <button aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler" data-bs-target="#navbarSupportedContent" data-bs-toggle="collapse" type="button">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a aria-current="page" class="nav-link active" th:href="@{/}" >All Posts</a>
                </li>
            </ul>
        </div>
    </div>
</nav>
<br /><br /><br /><br />
<div class="container">
    <div class="row col-md-8 offset-md-2">
        <div class="card">
            <div class="card-header">
                <h2 class="text-center">Registration</h2>
            </div>
            <div th:if="${param.success}">
                <div class="alert alert-info">
                    You have registered successfully to our Blog app!
                </div>
            </div>
            <div class="card-body">
                <form method="post"
                    role="form"
                    th:action="@{/register/save}"
                    th:object="${user}">

                    <div class="form-group mb-3">
                        <label class="form-label"> First Name</label>
                        <input
                                class="form-control"
                                id="firstName"
                                name="firstName"
                                placeholder="Enter first name"
                                type="text"
                                th:field="*{firstName}"
                        />
                        <p th:if="${#fields.hasErrors('firstName')}" class="text-danger"
                        th:errors="*{firstName}"></p>
                    </div>
                    <div class="form-group mb-3">
                        <label class="form-label"> Last Name</label>
                        <input
                                class="form-control"
                                id="lastName"
                                name="lastName"
                                placeholder="Enter last name"
                                type="text"
                                th:field="*{lastName}"
                        />
                        <p th:if="${#fields.hasErrors('lastName')}" class="text-danger"
                           th:errors="*{lastName}"></p>
                    </div>
                    <div class="form-group mb-3">
                        <label class="form-label"> Email-Id</label>
                        <input
                                class="form-control"
                                id="email"
                                name="email"
                                placeholder="Enter email address"
                                type="email"
                                th:field="*{email}"
                        />
                        <p th:if="${#fields.hasErrors('email')}" class="text-danger"
                           th:errors="*{email}"></p>
                    </div>

                    <div class="form-group mb-3">
                        <label class="form-label"> Password</label>
                        <input
                                class="form-control"
                                id="password"
                                name="password"
                                placeholder="Enter password"
                                type="password"
                                th:field="*{password}"
                        />
                        <p th:if="${#fields.hasErrors('password')}" class="text-danger"
                           th:errors="*{password}"></p>
                    </div>
                    <div class="form-group mb-3">
                        <button type="submit" class="btn btn-primary">Register</button>
                        <span> Already registered?
                            <a th:href="@{/login}"> Login Here</a>
                        </span>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<br /><br /><br />
<footer class="footer-copyright text-center bg-dark py-3"
        style="position:fixed; width:100%; bottom:0; color:white">
    <div>
        <strong>
            Copyright &copy; 2022 <a href="https://www.javaguides.net">Javaguides</a>
            All rights reserved.
        </strong>
    </div>
</footer>
</body>
</html>